Skip to main content
GET
/
connected_accounts
/
{accountId}
TypeScript
const response: Promise<FireblocksResponse<ConnectedSingleAccountResponse>> = fireblocks.connectedAccountsBeta.getConnectedAccount(connectedAccountsBetaApiGetConnectedAccountRequest);
{
  "id": "acc-123456",
  "name": "Main Venue Account",
  "providerId": "BRIDGE",
  "totalBalance": {
    "amount": "1201.15",
    "denominatedAssetId": "ea6c3cb7-355a-4ee3-82ff-267c69970214",
    "hasFullAssetCoverage": true
  },
  "manifest": {
    "assetTypes": [],
    "capabilities": [
      "WITHDRAWALS"
    ]
  },
  "accountType": "CONNECTED_ACCOUNT",
  "parentId": "acc-parent-001",
  "apiKey": "rk_live_abc123",
  "providerAccountName": "Main Account",
  "subAccountsIds": [
    "acc-sub-001",
    "acc-sub-002"
  ]
}

Path Parameters

accountId
string
required

The ID of the account to fetch.

Minimum string length: 1

Response

Account response

id
string
required

Unique identifier of the connected account.

Example:

"acc-123456"

name
string
required

Human-readable name of the connected account.

Example:

"Main Venue Account"

providerId
string
required

The ID of the venue the account belongs to.

Example:

"BRIDGE"

status
enum<string>
required
Available options:
WAITING_FOR_APPROVAL,
APPROVED,
REJECTED,
CANCELLED,
FAILED
totalBalance
object
required
manifest
object
required
accountType
enum<string>
required
Available options:
EXCHANGE,
FIAT,
CONNECTED_ACCOUNT
Example:

"CONNECTED_ACCOUNT"

parentId
string

The ID of the parent main account, if this is a sub account.

Example:

"acc-parent-001"

apiKey
string

The API key identifier used to connect this account.

Example:

"rk_live_abc123"

providerAccountName
string

The account name provided by the provider.

Example:

"Main Account"

subAccountsIds
string[]

IDs of sub-accounts associated with this connected account.

Example:
["acc-sub-001", "acc-sub-002"]